[Qa-jenkins-scm] [jenkins.debian.net] 01/02: reproducible: cleanup old pbuilder build directories

Holger Levsen holger at moszumanska.debian.org
Sat Oct 17 13:11:06 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit d376e3991b6b8b087ab6580aec1cd7e2e08a9be1
Author: Holger Levsen <holger at layer-acht.org>
Date:   Sat Oct 17 15:07:11 2015 +0200

    reproducible: cleanup old pbuilder build directories
---
 bin/reproducible_maintenance.sh | 12 ++++++++++++
 logparse/reproducible.rules     |  1 +
 2 files changed, 13 insertions(+)

diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index 84e1b83..b3ce418 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -113,6 +113,18 @@ if [ ! -z "$OLDSTUFF" ] ; then
 	DIRTY=true
 fi
 
+# delete old pbuilder build directories
+echo "$(date -u) - Deleting old pbuilder build directories."
+OLDSTUFF=$(find /srv/workspace/pbuilder/ -maxdepth 1 -regex '.*/[0-9]+' -type d -mtime +3 -exec ls -lad {} \; || true)
+if [ ! -z "$OLDSTUFF" ] ; then
+	echo
+	echo "Old temp directories found in $REP_RESULTS"
+	echo find /srv/workspace/pbuilder/ -maxdepth 1 -regex '.*/[0-9]+' -type d -mtime +3 -exec rm -rv {} \; || true
+	echo "Warning: These old directories have not been deleted."
+	echo
+	DIRTY=true
+fi
+
 # remove old and unused schroot sessions
 echo "$(date -u) - Removing unused schroot sessions."
 cleanup_schroot_sessions
diff --git a/logparse/reproducible.rules b/logparse/reproducible.rules
index 09e75ad..4df0922 100644
--- a/logparse/reproducible.rules
+++ b/logparse/reproducible.rules
@@ -14,3 +14,4 @@ warning /Warning: package .+is probably already building elsewhere, exiting./
 warning /Warning: too much difference for .+, aborting. Please investigate and update manually./
 warning /Warning: couldn't delete old files from.+/
 warning /Warning: failed to update the .+ schroot./
+warning /Warning: These old directories have not been deleted./

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list